package service

import (
	"dubbo.apache.org/dubbo-go/v3/common/constant"
	"dubbo.apache.org/dubbo-go/v3/config"
	_ "dubbo.apache.org/dubbo-go/v3/imports"
	"fmt"
	"fonchain-fiee/api/account"
	"fonchain-fiee/api/bundle"
	pkConfig "fonchain-fiee/cmd/config"
	"os"
)

var AccountProvider = new(account.AccountClientImpl)

var BundleProvider = new(bundle.BundleClientImpl)

func init() {
	config.SetConsumerService(AccountProvider)
	//config.SetConsumerService(BundleProvider)

	if err := config.Load(); err != nil {
		panic(err)
	}
	pkConfig.GetOptions()
	fmt.Println(os.Getenv(constant.ConfigFileEnvKey))

	if err := config.Load(); err != nil {
		panic(err)
	}
}
